package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type TaskImpl struct {
	dataTemp.DataTemp
	BaseRepository[model.AiTask]
}

func NewTaskImpl(db *utils.Db) *TaskImpl {
	return &TaskImpl{
		DataTemp:       *dataTemp.NewDataTemp(db, new(model.AiTask)),
		BaseRepository: NewBaseModel[model.AiTask](db.Client),
	}
}
